V11 Service Pack 12
Loading...

System Requirements for Virtual Server Agent with VMware

The following requirements are for the Virtual Server Agent for VMware.

VMware vCenter Server Support

The following versions are supported for vCenter Server and vCenter Server Appliance. vCenter Server support includes support for vSphere, Virtual Disk Development Kit (VDDK), ESX or ESXi, and file system versions as provided by the vCenter version.

For more information, see Correlating build numbers and versions of VMware products (1014508).

As a general rule of thumb, each version of the VDDK supports vCenter Server for the two previous major versions and for the next minor version. For example, VDDK 6.0.0 can be used with vCenter Server 5.5, 5.1, or 6.0 Update 1.

When VMware issues new versions or updates, Commvault  tests against the current service pack before announcing support. For new VMware versions or updates released between Commvault  service packs, and for earlier supported versions or service packs, Commvault  provides continuing support, including Hot Fixes as needed to address VMware changes to functions that affect backup and recovery.

vCenter Server Version

Commvault Support

Notes

6.7 (all minor updates)

V11 SP11 and later

 

6.5 Update 2 (all minor updates)

V11 SP11 and later

 

6.5 Update 1 (all minor updates)

V11 SP9 and later

 

6.5 GA (all minor updates)

V11 SP7 and later

 

6.0 Update 3 (all minor updates)

V11 SP7 and later

V10 SP15 and later

 

6.0 Update 2 (all minor updates)

V11 SP4 and later V10 SP13 and later

 

6.0 Update 1 (all minor updates)

V11 GA and later

V10 SP12 and later

 

6.0 GA (all minor updates)

V11 GA and later

V10 SP 10 with HotFixes 20 and 21, or later service packs

 

5.5 Update 3 (all minor updates)

V11 GA and later

V10 SP9 and later

 

5.5 Update 2 (all minor updates)

V11 GA and later

V10 SP9 and later

 

5.5 Update 1 (all minor updates)

V11 GA and later

V10 SP9 and later

 

5.5 GA (all minor updates)

V11 GA and later

V10 SP5 and later

 

5.1 (all updates)

V11 GA and later

V10 GA and later

 

5.0 (all updates)

V11 GA and later

V10 GA and later

 

4.1 (all updates)

V11 GA and later

V10 GA and later

If VMs are part of ESX 4.1, then streaming and IntelliSnap backups are supported only through the vCenter. You cannot use a standalone ESX 4.1 server.

ESX Host Support

Before configuring backup of any ESXi servers, ensure that you are using Essentials licensing level or higher. The vStorage APIs for Data Protection (VADP) are not provided with the free version of ESXi.

VDDK Support

For each Commvault service pack, the Virtual Server Agent includes the latest supported VDDK.

For Commvault Version 11, Service Pack 10 and later, VDDK 6.0.2, VDDK 6.5, and VDDK 6.5.2 are all included with the Virtual Server Agent. The appropriate VDDK for the vSphere version is loaded automatically when required. For more details, see VDDK Support for the Virtual Server Agent.

Customers can also update the VDDK manually. Do not place VDDK files in the VDDK installation in the Commvault base directory.

VDDK 5.5 or later is required for vSphere 5.5 support.

With VDDK 5.5 and later, 32-bit libraries and binaries are no longer supported.

vCenter Server Versions Required for Specific Features

Some features are supported only for more recent versions of vCenter Server. The following table shows the required versions for features that are dependent on the version of vCenter Server and associated software. Support includes all updates for each major version unless an update is specifically excluded.

Feature

Required Version of vCenterServer

Link

Agentless file restores

5.1, 5.5, 6.0, 6.5, 6.7

Agentless Restores

File Recovery Enabler for Linux

4.1, 5.1, 5.5, 6.0, 6.5, 6.7

Requirements for File Recovery Enabler

Live Mount

5.1, 5.5, 6.0, 6.5, 6.7

Running a Virtual Machine Using Live Mount

Live Recovery for Virtual Machines

5.1, 5.5, 6.0, 6.5, 6.7

Requires licensing for vMotion operations

Restoring Virtual Machines with Live Recovery

Live Sync

4.1, 5.1, 5.5, 6.0, 6.5, 6.7

VM hardware version 7.0 or higher

Live Sync Replication

VM Lifecycle Management

4.1, 5.1, 5.5, 6.0, 6.5, 6.7

VM Lifecycle Management

VMware vCloud Director

vCloud Director 5.1.x, 5.5.x, 8.0, 8.1, 8.2, 9.0

Virtual Machine Hardware

Version 4.0, 7.0, 8.0, 9.0, 10.0, 11.0, 13.0, 14.0

Virtual Machine Operating Systems

All Guest Operating Systems supported by VADP.

VMware Cloud on AWS

For Service Pack 11 and later, Commvault supports VMware Cloud on AWS.

For more information, see Support for VMware Cloud on AWS.

Datastore Support

  • Network File System (NFS)
  • Virtual Machine File System (VMFS)
  • Virtual storage area network (vSAN)
  • VMware Virtual Volume (VVol)

VMware Tools on Virtual Machines

The latest version of VMware Tools supported by the host should be installed on each virtual machine. At a minimum, the version of VMware tools on virtual machines must be supported on the host; unsupported versions must be upgraded. For more information about VMware Tools support for Windows and Linux guest VMs, see the VMware Compatibility Guide.

open-vm-tools

For UNIX guest VMs running the following operating system releases, open-vm-tools can be used:

  • Fedora 19 and later
  • Debian 7.x and later
  • openSUSE 11.x and later
  • Recent Ubuntu (12.04 LTS, 13.10 and later)
  • Red Hat Enterprise Linux 7.0 and later
  • CentOS 7.0 and later
  • Oracle Linux 7.0 and later
  • SUSE Linux Enterprise 12 and later

For more information, see VMware support for open-vm-tools (2073803).

Port Requirements

In an environment with firewalls, the vCenter, ESX servers, and Virtual Server Agent must be able to communicate with each other. To ensure that all components can communicate through the firewall, ensure that the ports for web services (default: 443) and TCP/IP (default: 902) are opened for communication on each of these machines.

Additional port requirements can apply for the MediaAgent when you use specific features such as Live Browse, Live File Recovery, and Live Mount. For more information, see Entering Required Firewall Settings.

Prior to performing any backup or restore operations, ensure that the following port requirements are met. 

Note: If a non-default port is used with VDDK 5.5, backup or restore operations can fail. See KB Article VMW0013.

vCenter

  • Port for web service (default: 443) must be opened. If vCenter is configured to use non-default ports, the non-default ports must also be opened.

ESX Server

  • Ports for web service (default: 443) and TCP/IP (default: 902) must be opened for the vStorage APIs for Data Protection.

vCloud Director

  • A port for the vCloud REST API (default: 443) must be opened.

Subclient with multiple proxies

  • If you are using multiple proxies in a single subclient, open the CVD port (by default 8400) for all proxies in the subclient, to enable the coordinator node and other proxies to communicate. The CVD port is used to establish communication between proxies using a randomly selected port; to enable communication between proxies you must configure the Commvault firewall.

Proxy Computer Operating Systems

  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2012 R2 x64 Editions
  • Microsoft Windows Server 2012 x64 Editions

Linux Proxy Support

You can deploy a File Recovery Enabler for Linux (FREL) to serve as a Virtual Server Agent proxy for VMware. For more information, see Linux Proxy Support for VMware.

Hardware Specifications

The hardware requirements for Virtual Server Agent installed on either physical or virtual machines is explained in Hardware Specifications for Virtual Server Agent.

Note: If performing backups with the granular recovery option enabled, the location of the Job Results folder should contain additional space to accommodate at least 2 percent of the total amount of data being backed up.

Allocation Unit Size of NTFS Volumes

The cluster size or the allocation unit size of an NTFS volume in a virtual machine must be multiple of 1024 bytes. You can set the cluster size before formatting a volume. The default cluster size is 4096 bytes.

Microsoft Visual C++

The following Redistributable Package is installed automatically. The Redistributable Package can co-exist with other versions of this software.

  • Microsoft Visual C++ 2010 Redistributable Package

DISCLAIMER

Third-party maintenance (minor) releases or service packs that are supported by the Commvault software may not be listed in our System Requirements. When possible, Commvault provides information on any known issues related to these minor releases or service packs. In some cases, these minor releases or service packs affect how the Commvault software works. Commvault software may experience changes in functionality as the result of the third-party minor release or service pack. These changes are beyond the control of Commvault. Platforms that are supported in the current version of Commvault software may not be supported in earlier versions of the software. Contact your software provider to ensure that third-party minor releases or service packs are compatible with the Commvault software.

Additional considerations regarding minimum requirements and End-of-Life policies from third-party vendors also apply.

Last modified: 8/7/2018 9:53:27 PM